> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Admin Config

> Partially update a specific PPM admin configuration by ID (only provided fields will be updated)



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml patch /api/v4/ppm/admin/config/{configId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/v4/ppm/admin/config/{configId}:
    patch:
      tags:
        - PPM
      summary: Update Admin Config
      description: >-
        Partially update a specific PPM admin configuration by ID (only provided
        fields will be updated)
      operationId: patchAdminConfig
      parameters:
        - description: The unique ID of the configuration to update
          in: path
          name: configId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminConfigPatchRequest'
        description: Partial PPM admin configuration (only include fields to update)
        required: true
      responses:
        '200':
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '404':
          description: Config not found
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    AdminConfigPatchRequest:
      description: Partial PPM admin configuration (all fields optional)
      properties:
        baseUrl:
          description: PPM instance base URL
          type: string
        name:
          description: Optional human-readable name for the PPM server
          type: string
        repos:
          description: Enabled repository types
          items:
            type: string
          type: array
        token:
          description: Authentication token for PPM
          type: string
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````